#!/bin/bash

novalink_pubkey="gpg-pubkey-7fadcab0-57ee9569"
novalink_key=/etc/gnupg/RPM-Novalink-pub.key

if ! rpm -q "$novalink_pubkey" &>/dev/null; then
    echo "Importing Novalink key"
    if [ ! -e "$novalink_key" ]; then
        echo "$novalink_key missing"
        exit 1
    fi

    if ! rpm --import "$novalink_key" &>/dev/null; then
        echo "Failed to import key"
        exit 1
    fi
else
    echo "Public key is already imported"
fi
